Bug 32975 - Просьба обновить mplayer
: Просьба обновить mplayer
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/MPlayer)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
: 33155
: 30778
  Show dependency tree
 
Reported: 2017-01-05 16:43 by
Modified: 2017-05-15 19:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2017-01-05 16:43:22
Пожалуйста, обновите mplayer хотя бы до версии 1.2.1.
Заранее спасибо.
------- Comment #1 From 2017-02-01 14:43:06 -------
Можно уже до 1.3.0 обновлять.
Видимо, проблема в том, что он требует ffmpeg, которого пока нет в системе.
------- Comment #2 From 2017-02-19 09:16:12 -------
(В ответ на комментарий №1)
> Можно уже до 1.3.0 обновлять.
> Видимо, проблема в том, что он требует ffmpeg, которого пока нет в системе.

Разве ffmpeg не включен в архив mplayer?
"Mplayer 1.2.1 is compatible with the FFmpeg 2.8.x releases. The tarball
includes a copy of FFmpeg 2.8.5 (the latest at this date), so you don't need to
fetch it separately."
http://www.mplayerhq.hu/design7/news.html
------- Comment #3 From 2017-02-21 16:58:22 -------
MPlayer собирается (пока) со встроенным FFMpeg'ом. Я сейчас работаю над
обновлением, но, возможно, придётся отказаться от поддержки vaapi.
------- Comment #4 From 2017-02-21 17:00:16 -------
mplayer без поддержки vdpau/vaapi совсем не интересно. Я и так то давно его не
запускал, но если и запускать, то надо всё-таки аппаратное декодирование
использовать.
Тем более что современные интеловские CPU уже 4K на видеоядре декодируют.
------- Comment #5 From 2017-02-21 17:04:14 -------
(В ответ на комментарий №4)
> mplayer без поддержки vdpau/vaapi совсем не интересно. Я и так то давно его не
> запускал, но если и запускать, то надо всё-таки аппаратное декодирование
> использовать.
> Тем более что современные интеловские CPU уже 4K на видеоядре декодируют.

Поддержка VDPAU останется точно, через бридж libva-driver-vdpau будет поддержка
vaapi.
------- Comment #6 From 2017-05-15 19:45:46 -------
mplayer-1.3.0-alt1 -> sisyphus:

Fri Mar 17 2017 Vladimir D. Seleznev <vseleznv@altlinux.org> 1.3.0-alt1
- 1.3.0 (ALT#32975)
- rebuilt with live555 (ALT#30778)
- dropped non-upstream vaapi support
- converted all the descriptions from CP1251 to UTF-8